PHP Versions

Note: This document is based on Jelastic version 5.3

Within the confines of PHP hosting at Jelastic PaaS, the following PHP engine versions are supported:
  • PHP 5.3.23
  • PHP 5.4.45
  • PHP 5.5.38
  • PHP 5.6.28
  • PHP 5.6.31
  • PHP 7.0.13
  • PHP 7.0.21
  • PHP 7.1.0
  • PHP 7.1.7

You can choose the version you need while environment creation and easily switch between them afterwards via topology wizard. The workflow is the following:

1. Click the New environment button at the top dashboard pane to open the Environment Wizard frame.

2. Navigate to the PHP language tab and pick Apache or NGINX as your application server. Choose the desired engine version (5.3, 5.4, 5.5, 5.6, 7 or 7.1) by means of the second drop-down list in the central pane.

Specify the resource limits, select the preferred region, type your environment name (or leave the default one) and click the Create button.

Tip: For more information on PHP hosting specifics at Jelastic and the possibilities it provides, refer to the PHP Developer’s Center document.

3. In order to change the version of PHP for the already existing environment, click the Redeploy containers icon next to the appropriate layer.

4. Select required engine version within the Tag list of the opened frame.

Click Redeploy to confirm the changes.

Note that in case of switching the engine version to PHP 7 for legacy PHP containers, you may require to manually re-define the included PHP modules, as part of them was turned into dynamic (i.e. to be activated only upon the necessity) in confines of the Jelastic 4.3 release.